/* Copyright (C) 2005 David Decotigny

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
   USA. 
*/

#include <libc.h>
#include <debug.h>


/**
 * @file init.c
 * Test brk (and, hence: mremap) and exec()
 */

int main()
{
  bochs_printf("init: Welcome in userland !\n");

  /* launch the tests */
  if (fork() == 0)
    exec("fstest");

  if (fork() == 0)
    exec("banner");

  bochs_printf("init: The end\n");
  return 0;
}
